---
type: api
title: Check permissions
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-get-fleet-check-permissions
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-get-fleet-check-permissions
products:
  - Kibana
---

# Check permissions

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/fleet/check-permissions`
- `GET` `/s/{space_id}/api/fleet/check-permissions`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/authentication#apikeyauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Check whether the current user has the required permissions to use Fleet. Optionally verifies Fleet Server setup privileges.

## Query String Parameters

- `fleetServerSetup` (boolean)
  When true, check Fleet Server setup privileges in addition to standard Fleet privileges

## Responses

#### `200`

Successful response

`application/json`

- `error` (enum)
  Values: `MISSING_SECURITY`, `MISSING_PRIVILEGES`, `MISSING_FLEET_SERVER_SETUP_PRIVILEGES`
- `success` (boolean)
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
GET /api/fleet/check-permissions
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/fleet/check-permissions"
```

## Response Examples

#### Check permissions missing privileges

The current user is missing Fleet privileges

```json
{
  "error": "MISSING_PRIVILEGES",
  "success": false
}
```

#### Check permissions success

The current user has all required Fleet permissions

```json
{
  "success": true
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

